Package io.dapr.client.domain

# Class HttpEndpointMetadata

java.lang.Object
io.dapr.client.domain.HttpEndpointMetadata

public final class HttpEndpointMetadata extends Object
HttpEndpointMetadata describes a registered Dapr HTTP endpoint.

## Constructor Summary

Constructors
Constructor
Description
`HttpEndpointMetadata(String name)`
Constructor for a HttpEndpointMetadata.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpEndpointMetadata

public HttpEndpointMetadata(String name)
Constructor for a HttpEndpointMetadata.

Parameters:
  `name` - of the HTTP endpoint

## Method Details

### getName

public String getName()